Get all tasks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all tasks API enables users to find tasks in their Rocketlane instances using advanced filtering options. This API is intended to provide a flexible and fast means of getting task data based on various parameters.

Developers can integrate task search functionality into their applications and platforms by using this API. You can fine-tune your searches and retrieve the task related data you need for integration into your applications or platforms by using the available parameters.

📘

Note

Archived tasks are not reflected in the response body.

The includeFields param can be used to customize the response.You can fine-tune your searches and retrieve the field related data you need for integration into your applications or platforms by using filters.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the projects. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.

Pagination

The Get all tasks API accommodates pagination in the response body. The pageSize option can be used to restrict the amount of responses displayed/available in a single request. Additionally, if there are more entries than the ones accessible in the answer, the response(s) may contain the pageToken.

Please refer to the pagination section for further information on this.

Filtering

The capacity to execute more sophisticated and nuanced searches on a dataset by combining numerous criteria and conditions is referred to as filtering.

Complex filtering in the context of the Get all tasks API allows users to build elaborate search queries to return specific subsets of projects that satisfy specific requirements. By catering to a wide range of use cases, this enhanced filtering functionality considerably increases the API's utility and versatility.

The API reference includes a comprehensive range of filtering options.

Custom Field Filtering

The Get all tasks API offers custom field filtering in addition to the regular filtering options.

Users can utilise custom field filtering to define and apply their own task fields as search criteria. This powerful feature allows users to search for tasks based on custom task fields, allowing the API to be tailored to a variety of use cases where default fields may be insufficient.

We can provide both project and task custom fields to the API, and it will return the appropriate response.

TypeDescription
ProjectCustom project fields
TaskCustom task fields

Please refer to the below table for more information on how to construct the filtering criteria for custom fields.

Field nameTextNumberYes/NoDateSingle SelectionMulti SelectionRating
{type}.field.{field_id}.value☑️☑️☑️☑️☑️
{type}.field.{field_id}.contains☑️
{type}.field.{field_id}.notContains☑️
{type}.field.{field_id}.greaterThan☑️☑️☑️
{type}.field.{field_id}.lessThan☑️☑️☑️
{type}.field.{field_id}.greaterThanEqual☑️☑️☑️
{type}.field.{field_id}.lessThanEqual☑️☑️☑️
{type}.field.{field_id}.isEmpty☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isNotEmpty☑️☑️☑️☑️☑️☑️☑️
{type}.field.{field_id}.isTrue☑️
{type}.field.{field_id}.isFalse☑️
{type}.field.{field_id}.oneOf☑️☑️
{type}.field.{field_id}.noneOf☑️☑️

For more detailed examples related to searching/ filtering using custom fields refer to the search section.

The field_id can be fetched from this API. Additional parameters can be passed to fetch fields associated with projects or tasks, which can then be used to perform searches on the tasks.

For more information about this, please refer to the custom fields section.

Criteria Match

In addition to standard filtering and custom field filtering, the Get all tasks API also supports the use of AND and OR conditions for more advanced filtering options. Users can combine different filters and custom field queries with these logical operators to build complex yet accurate search queries.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

You can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.

string

You can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.

string

You can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.

string

You can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.

string

You can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.

string

You can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than the given tasks created date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of tasks that match the given tasks created date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than the given tasks created date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than or equal to the given tasks created date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than or equal to the given tasks created date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than the given tasks updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of tasks that match the given tasks updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than the given tasks updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than or equal to the given tasks updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than or equal to the given tasks updated date.

number

You can use this param to specify some value as project id and the responses will contain exact matches of tasks that match the given value.

number

You can use this param to specify some value as phase id and the responses will contain exact matches of tasks that match the given value.

string

You can use this param to specify some task name and the responses will contain exact matches of tasks that match the given name.

string

You can use this param to specify some task name and the responses will contain matches of tasks that match the given name.

string

You can use this param to specify some task name and the responses will not contain matches of tasks that match the given name.

number

You can use this param to specify some value as effort and the responses will contain exact matches of tasks that match the given value.

number

You can use this param to specify some value as effort and the responses will contain exact matches of tasks greater than that of the given value.

number

You can use this param to specify some value as effort and the responses will contain exact matches of tasks lesser than that of the given value.

number
0 to 100

You can use this param to specify some value as progress and the responses will contain exact matches of tasks that match the given value.

number
0 to 100

You can use this param to specify some value as progress and the responses will contain exact matches of tasks greater than that of the given value.

number
0 to 100

You can use this param to specify some value as progress and the responses will contain exact matches of tasks lesser than that of the given value.

boolean

You can use this parameter to specify whether responses will include the archived tasks.

string

You can use this param to provide status and the responses will contain tasks that are equal to the given status

string

You can use this param to provide statuses and the responses will contain tasks that contains the given status

string

You can use this param to provide statuses and the responses will not contain tasks that are equal to the given status

string

You can use this param to provide status of project and the responses will contain tasks whose project's status are equal to the given status

string

You can use this param to provide statuses of project and the responses will contain tasks whose project's statuses that contains the given status

string

You can use this param to provide statuses of project and the responses will not contain tasks whose project's statuses are equal to the given status(es)

string

You can use this param to provide external reference id and the responses will contain tasks that are equal to the given id

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json